Bug 525077 - Review Request: perl-IPC-DirQueue - Disk-based many-to-many task queue
Summary: Review Request: perl-IPC-DirQueue - Disk-based many-to-many task queue
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 09:26 UTC by Steve Traylen
Modified: 2009-10-16 19:35 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-09-26 15:58:12 UTC
msuchy: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2009-09-23 09:26:33 UTC
Spec URL: http://cern.ch/steve.traylen/rpms/perl-IPC-DirQueue.spec
SRPM URL: http://cern.ch/steve.traylen/rpms/perl-IPC-DirQueue-1.0-2.src.rpm

Description: This module implements a FIFO queueing infrastructure, using a
directory as the communications and storage media. No daemon process is 
required to manage the queue; all communication takes place via the filesystem.

$ rpmlint SPECS/perl-IPC-DirQueue.spec \
          RPMS/noarch/perl-IPC-DirQueue-1.0-2.fc11.noarch.rpm \
          SRPMS/perl-IPC-DirQueue-1.0-2.fc11.src.rpm 

2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Koji builds for el4, el5, f10 and f11 respectively.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1700288
http://koji.fedoraproject.org/koji/taskinfo?taskID=1700294
http://koji.fedoraproject.org/koji/taskinfo?taskID=1700299
and
http://koji.fedoraproject.org/koji/taskinfo?taskID=1700296

Steve

Comment 1 Jason Tibbitts 2009-09-23 20:09:35 UTC
Spec and SRPM links are 404; please clear the whiteboard when you have a package ready for review.

Comment 5 Miroslav Suchý 2009-09-25 15:59:15 UTC
Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output: empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA256SUM of package: f636e8bb3f54515be77476f99fd962801d2d3f32bb43e154b459df4c64974f99 
perl-NOCpulse-CLAC-1.9.8.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass

== APPROVED ==

Comment 6 Steve Traylen 2009-09-25 17:35:54 UTC
New Package CVS Request
=======================
Package Name: perl-IPC-DirQueue
Short Description: Disk-based many-to-many task queue
Owners: stevetraylen
Branches: F-11 F-12 EL-4 EL-5
InitialCC: perl-sig

Comment 7 Kevin Fenzi 2009-09-26 02:48:38 UTC
cvs done.

Comment 8 Fedora Update System 2009-09-26 15:55:50 UTC
perl-IPC-DirQueue-1.0-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/perl-IPC-DirQueue-1.0-2.el4

Comment 9 Fedora Update System 2009-09-26 15:56:17 UTC
perl-IPC-DirQueue-1.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-IPC-DirQueue-1.0-2.el5

Comment 10 Fedora Update System 2009-09-26 15:56:46 UTC
perl-IPC-DirQueue-1.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-IPC-DirQueue-1.0-2.fc11

Comment 11 Fedora Update System 2009-10-15 22:37:24 UTC
perl-IPC-DirQueue-1.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-10-16 19:33:25 UTC
perl-IPC-DirQueue-1.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-10-16 19:35:12 UTC
perl-IPC-DirQueue-1.0-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.